Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479161 - Monitoring-related error message in /var/log/httpd/error_log
Summary: Monitoring-related error message in /var/log/httpd/error_log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Milan Zázrivec
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-07 17:20 UTC by Milan Zázrivec
Modified: 2009-01-22 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:30 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2009-01-07 17:20:12 UTC
Description of problem:
* New Spacewalk 0.4 installation
* Enabled monitoring + monitoring scout
* Following error message is present in /var/log/httpd/error_log after
machine startup (no action whatsoever being done on the system):

Issuing rollback() for database handle being DESTROY'd without explicit
disconnect() at 
/usr/lib/perl5/vendor_perl/5.8.8/NOCpulse/SatConfig/GenerateConfig.pm 
line 111.

Comment 1 Miroslav Suchý 2009-01-13 10:59:30 UTC
The error message should be harmless, but anyway...
Commited as 1079e0b6235459e2eb648dd9cddd6da22bf08a0f
Note: I have no time to test and reproduce this. So I'm fixing this as obvious bug, and will test it later.

Comment 2 Milan Zázrivec 2009-01-13 13:19:02 UTC
Verified with perl-NOCpulse-OracleDB-1.28.11-1.el5


Note You need to log in before you can comment on or make changes to this bug.